HierarchyControllerMemberQuery Method

POST /Hierarchy/MemberQuery/{id} Queries the specified hierarchy for the members.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("MemberQuery")]
public Task<IActionResult> MemberQuery(
	Guid id,
	[FromBodyAttribute] QueryHierarchyMembersOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the hierarchy or its parent entity.
options
Type: Dundas.BI.WebApi.ModelsQueryHierarchyMembersOptions
The options to get the members.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: TaskIActionResult
An array of HierarchyMemberData objects containing the members, or a status code indicating the problem.
See Also